/* Styles for Clock App */
#app-clock {
    background-color: #000;
    color: white;
    display: flex;
    flex-direction: column;
}

#app-clock .clock-content {
    flex-grow: 1;
    overflow-y: auto;
    padding: 0 20px;
}

.clock-header {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    padding: 55px 20px 15px 20px;
    box-sizing: border-box;
    border-bottom: 1px solid #2c2c2e;
    position: sticky;
    top: 0;
    background-color: #000;
    z-index: 1;
}

.clock-header h1 {
    font-size: 34px;
    font-weight: 700;
    margin: 0;
}

.clock-header .add-button-container {
    padding-bottom: 4px; /* Align with bottom of title */
}

.clock-header .add-button {
    font-size: 32px;
    font-weight: 300;
    color: #ff9500;
    cursor: pointer;
}

.world-clock-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 0;
    border-bottom: 1px solid #2c2c2e;
    cursor: default;
}

.world-clock-item:first-child {
    padding-top: 20px;
}

.world-clock-item:last-child {
    border-bottom: none;
}

.world-clock-item .city-info .time-diff {
    font-size: 15px;
    color: #8e8e93;
    line-height: 1.2;
}

.world-clock-item .city-info .city-name {
    font-size: 28px;
    font-weight: 400;
    line-height: 1.2;
}

.world-clock-item .city-time {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif;
    font-size: 44px;
    font-weight: 200;
    letter-spacing: 0.5px;
    display: flex;
    align-items: baseline;
    white-space: nowrap;
}

.world-clock-item .city-time .period {
    font-size: 22px;
    font-weight: 200;
    margin-left: 5px;
}

.analog-clock {
    width: 200px;
    height: 200px;
    border: 7px solid white;
    border-radius: 50%;
    position: relative;
}

.hand {
    position: absolute;
    width: 50%;
    height: 4px;
    background: white;
    top: 50%;
    transform-origin: 100%;
    transform: rotate(90deg);
}

.hour-hand { width: 35%; left: 15%; background: white;}

.minute-hand { height: 4px; background: white;}

.second-hand { height: 2px; background: red;}